mia-2dsegshiftperslice
Prev | Tools for Myocardial Perfusion Analysis | Next

### mia-2dsegshiftperslice

#### Sysnopis:

`mia-2dsegshiftperslice` {-i `string`} {-o `string`} {-S `string`} [ `options` ...]

#### Description:

This program move the segmentation(s) of an image series by using a shift that is given on a per-slice base. The program can be used to correct the segmentation of the images if a linear registration was executed that only applies a translation and does not correct the segmentation automatically.

#### Options:

-i, --in-file=(input, required); string

  input segmentation set

-o, --out-file=(output, required); string

  output segmentation set

-g, --image-file=crop; stringSTRING

  output image filename base

-S, --shift=(required); string

  shift of segmentation - base name

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Shirt the segmentation given in set segment.set by files shiftXXXX.txt and store the result in shifted.set. Note, the numbering of the shiftXXXX.txx files must coincide.

    mia-2dsegshiftperslice -i segment.set -o shifted.set -g shifted -S shift

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dsegshift | Home | mia-2dseries-mincorr